'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var vue = require('vue');
var index$1 = require('../../table/index.js');
var index$2 = require('../../mg-pagination/index.js');
require('../../../utils/index.js');
require('../../../hooks/index.js');
var mgTable = require('./mg-table.js');
var constant = require('./constant.js');
var pluginVue_exportHelper = require('../../../_virtual/plugin-vue_export-helper.js');
var index = require('../../../hooks/use-namespace/index.js');
var types = require('../../../utils/types.js');

const __default__ = vue.defineComponent({
  name: "MgTable"
});
const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  ...__default__,
  props: mgTable.mgTableProps,
  setup(__props) {
    const props = __props;
    const ns = index.useNamespace("table", vue.ref("mg"));
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createElementBlock(vue.Fragment, null, [
        vue.createVNode(vue.unref(index$1.ElTable), vue.mergeProps(_ctx.$attrs, {
          border: _ctx.borderType !== "default",
          class: [
            vue.unref(ns).b(),
            {
              [vue.unref(ns).m("outer-border")]: _ctx.borderType === "outer"
            }
          ]
        }), {
          default: vue.withCtx(() => [
            (vue.openBlock(true), vue.createElementBlock(vue.Fragment, null, vue.renderList(_ctx.cfg, (item) => {
              return vue.openBlock(), vue.createElementBlock(vue.Fragment, {
                key: item.prop
              }, [
                vue.unref(types.isUndefined)(item.slotKey) ? (vue.openBlock(), vue.createBlock(vue.unref(index$1.ElTableColumn), vue.normalizeProps(vue.mergeProps({ key: 0 }, item)), null, 16)) : vue.renderSlot(_ctx.$slots, item.slotKey, { key: 1 })
              ], 64);
            }), 128))
          ]),
          _: 3
        }, 16, ["border", "class"]),
        vue.createVNode(vue.unref(index$2.MgPagination), vue.mergeProps({
          border: "",
          class: [vue.unref(ns).m("page")]
        }, {
          layout: vue.unref(constant.DefaultPageCfgLayout),
          ..._ctx.pageCfg
        }), null, 16, ["class"])
      ], 64);
    };
  }
});
var MyTable = /* @__PURE__ */ pluginVue_exportHelper["default"](_sfc_main, [["__file", "/Users/chenghsu/Documents/bty/bty-element/packages/components/mg-table/src/mg-table.vue"]]);

exports["default"] = MyTable;
//# sourceMappingURL=mg-table2.js.map
