import { defineComponent, ref, openBlock, createBlock, unref, mergeProps } from 'vue';
import { ElPagination } from '../../pagination/index.mjs';
import '../../../hooks/index.mjs';
import { mgPaginationProps } from './mg-pagination2.mjs';
import _export_sfc from '../../../_virtual/plugin-vue_export-helper.mjs';
import { useNamespace } from '../../../hooks/use-namespace/index.mjs';

const __default__ = defineComponent({
  name: "MgPagination"
});
const _sfc_main = /* @__PURE__ */ defineComponent({
  ...__default__,
  props: mgPaginationProps,
  setup(__props) {
    const props = __props;
    const ns = useNamespace("pagination", ref("mg"));
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ElPagination), mergeProps(_ctx.$attrs, {
        class: [unref(ns).b(), unref(ns).is("border", _ctx.border)]
      }), null, 16, ["class"]);
    };
  }
});
var MyPagination = /* @__PURE__ */ _export_sfc(_sfc_main, [["__file", "/Users/chenghsu/Documents/bty/bty-element/packages/components/mg-pagination/src/mg-pagination.vue"]]);

export { MyPagination as default };
//# sourceMappingURL=mg-pagination.mjs.map
